Refresh Single Tape Device

Product version: 10.11

Last modified: 31 July 2024

Refreshes a single tape device by its VID.

Endpoint

https://<Director_IP_address>:4443/c/router

Tenant Endpoint

For tenants of the multi-tenant product the endpoint must be:
https://<Director_IP_address>:4443/t/<tenant_UUID>/c/router

Request Example

Request Fields

Field
Type
Value(s)
action string

TapeDeviceManagement

method string

refreshDevice

data array

Tape device VID and refresh mode. See the data table below

type string rpc
tid int 1

data

Field Type Description
deviceVid string Tape device VID
isFullRefresh boolean true for a full refresh, false for a quick refresh

Response Sample

Response Fields

Field
Value
Description
message string Message if the request failed
where string Reference to the method where the problem occurred
cause string Cause of failure